Public Member Functions | Public Attributes | List of all members
RagTimeParserInternal::Pattern Struct Referencefinal

Internal: the pattern of a RagTimeManager. More...

Inheritance diagram for RagTimeParserInternal::Pattern:

## Public Member Functions
| Pattern (uint16_t const *pat=nullptr)
| constructor ( 4 int by patterns ) More...
| ~Pattern () final
| destructor More...
Public Member Functions inherited from MWAWGraphicStyle::Pattern
| Pattern ()
| constructor More...
| Pattern (MWAWVec2i dim, MWAWEmbeddedObject const &picture, MWAWColor const &avColor)
| constructor from a binary data More...
bool | empty () const
| return true if we does not have a pattern More...
bool | getAverageColor (MWAWColor &col) const
| return the average color More...
bool | getUniqueColor (MWAWColor &col) const
| check if the pattern has only one color; if so returns true... More...
bool | getBinary (MWAWEmbeddedObject &picture) const
| tries to convert the picture in a binary data ( ppm) More...
int | cmp (Pattern const &a) const
| compare two patterns More...

## Public Attributes
float | m_percent
| the percentage More...
Public Attributes inherited from MWAWGraphicStyle::Pattern
MWAWVec2i | m_dim
| the dimension width x height More...
MWAWColor | m_colors [2]
| the two indexed colors More...
std::vector< unsigned char > | m_data
| the pattern data: a sequence of data: p[0..7,0],p[8..15,0]...p[0..7,1],p[8..15,1], ... More...

## Additional Inherited Members
Protected Attributes inherited from MWAWGraphicStyle::Pattern
MWAWEmbeddedObject | m_picture
| a picture More...
MWAWColor | m_pictureAverageColor
| the picture average color More...

## Detailed Description

Internal: the pattern of a RagTimeManager.

## Constructor & Destructor Documentation

## ◆ Pattern()

RagTimeParserInternal::Pattern::Pattern | ( | uint16_t const * | pat = `nullptr` | ) |
| inline explicit

constructor ( 4 int by patterns )

## ◆ ~Pattern()

RagTimeParserInternal::Pattern::~Pattern | ( |  | ) |
| final virtual

destructor

Reimplemented from MWAWGraphicStyle::Pattern.

Referenced by Pattern().

## Member Data Documentation

## ◆ m_percent

float RagTimeParserInternal::Pattern::m_percent

the percentage

Referenced by Pattern().

The documentation for this struct was generated from the following file:

- RagTimeParser.cxx